Bug 1121427 - [abrt] netpanzer: WorldInputCmdProcessor::sendAttackCommand(): netpanzer killed by SIGSEGV
Summary: [abrt] netpanzer: WorldInputCmdProcessor::sendAttackCommand(): netpanzer kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: netpanzer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:719b33d68fef5f19e29487e1cd9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 19:17 UTC by Robert Woestman
Modified: 2015-06-29 21:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:47 UTC


Attachments (Terms of Use)
File: backtrace (21.26 KB, text/plain)
2014-07-20 19:17 UTC, Robert Woestman
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-20 19:17 UTC, Robert Woestman
no flags Details
File: core_backtrace (3.42 KB, text/plain)
2014-07-20 19:17 UTC, Robert Woestman
no flags Details
File: dso_list (3.99 KB, text/plain)
2014-07-20 19:17 UTC, Robert Woestman
no flags Details
File: environ (968 bytes, text/plain)
2014-07-20 19:17 UTC, Robert Woestman
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-20 19:18 UTC, Robert Woestman
no flags Details
File: maps (19.44 KB, text/plain)
2014-07-20 19:18 UTC, Robert Woestman
no flags Details
File: open_fds (169 bytes, text/plain)
2014-07-20 19:18 UTC, Robert Woestman
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-20 19:18 UTC, Robert Woestman
no flags Details
File: var_log_messages (446 bytes, text/plain)
2014-07-20 19:18 UTC, Robert Woestman
no flags Details

Description Robert Woestman 2014-07-20 19:17:53 UTC
Description of problem:
I was just playing Netpanzer and the game just stopped

Version-Release number of selected component:
netpanzer-0.8.4-5.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        netpanzer
crash_function: WorldInputCmdProcessor::sendAttackCommand
executable:     /usr/bin/netpanzer
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WorldInputCmdProcessor::sendAttackCommand at src/NetPanzer/Classes/WorldInputCmdProcessor.cpp:965
 #1 WorldInputCmdProcessor::evalLeftMButtonDownEvents at src/NetPanzer/Classes/WorldInputCmdProcessor.cpp:726
 #2 WorldInputCmdProcessor::evaluateMouseEvents at src/NetPanzer/Classes/WorldInputCmdProcessor.cpp:686
 #3 WorldInputCmdProcessor::process at src/NetPanzer/Classes/WorldInputCmdProcessor.cpp:1122
 #4 Desktop::manage at src/NetPanzer/Views/Components/Desktop.cpp:287
 #5 PlayerGameManager::inputLoop at src/NetPanzer/Interfaces/PlayerGameManager.cpp:226
 #6 BaseGameManager::mainLoop at src/NetPanzer/Interfaces/BaseGameManager.cpp:209
 #7 PlayerGameManager::mainLoop at src/NetPanzer/Interfaces/PlayerGameManager.cpp:505
 #8 netpanzer_main at src/NetPanzer/Core/main.cpp:326
 #10 _start

Comment 1 Robert Woestman 2014-07-20 19:17:55 UTC
Created attachment 919453 [details]
File: backtrace

Comment 2 Robert Woestman 2014-07-20 19:17:56 UTC
Created attachment 919454 [details]
File: cgroup

Comment 3 Robert Woestman 2014-07-20 19:17:57 UTC
Created attachment 919455 [details]
File: core_backtrace

Comment 4 Robert Woestman 2014-07-20 19:17:58 UTC
Created attachment 919456 [details]
File: dso_list

Comment 5 Robert Woestman 2014-07-20 19:17:59 UTC
Created attachment 919457 [details]
File: environ

Comment 6 Robert Woestman 2014-07-20 19:18:00 UTC
Created attachment 919458 [details]
File: limits

Comment 7 Robert Woestman 2014-07-20 19:18:01 UTC
Created attachment 919459 [details]
File: maps

Comment 8 Robert Woestman 2014-07-20 19:18:02 UTC
Created attachment 919460 [details]
File: open_fds

Comment 9 Robert Woestman 2014-07-20 19:18:02 UTC
Created attachment 919461 [details]
File: proc_pid_status

Comment 10 Robert Woestman 2014-07-20 19:18:03 UTC
Created attachment 919462 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:25:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:39:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.